> For the complete documentation index, see [llms.txt](https://docs.ak4y.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ak4y.com/scripts/ak4y-shredding/configuration.md).

# Configuration

Copy

```
Config = {}

Config.locales = {}

Config.Locale = "en"

Config.ItemImagePatch = "nui://ox_inventory/web/images/"

Config.DisableGpsItem = "gpsremover"

Config.Interaction = "drawtext" -- target or drawtext

Config.Levels = {
    [1] = {
        min = 0,
        max = 500,
    },
    [2] = {
        min = 501,
        max = 1000,
    },
    [3] = {
        min = 1001,
        max = "∞",
    },
}

Config.PoliceJobs = {
  ["police"] = true,
  ["sheriff"] = true,
  ["sasp"] = true,
}

Config.PoliceAlert = function()
  -- your police dispatch event
  print("police alert send")
end

Config.RandomPickUpProps = {
  [1] = {
    prop = "m23_2_prop_m32_prof_crate_01a",
    reward = "weapon_pistol",
  },
  [2] = {
    prop = "m24_1_prop_m41_rm_crate_m_01a",
    reward = "water_bottle",
  },
}

--DANGER LEVEL 0: NOTHİNG WILL SPAWN
--DANGER LEVEL 1: DOG WILL SPAWN
--DANGER LEVEL 2: ARMED NPCS WILL SPAWN
--DANGER LEVEL 3: ARMED NPCS AND DOG WILL SPAWN
--DANGER LEVEL 4: ARMED NPCS AND DOG WILL SPAWN - YOU CAN CHANGE NPC'S WEAPON AND POLİCEBLİP THAT'S YOUR CHOICE
--DANGER LEVEL 5: ARMED NPCS AND DOG WILL SPAWN - YOU CAN CHANGE NPC'S WEAPON AND POLİCEBLİP THAT'S YOUR CHOICE
Config.Missions = {
  [1] = {
    time = 45,
    level = 1,
    multiplayer = true,
    cartypes = "shabby",
    name = "MISSION #1",
    possiblemoney = 15000,
    desc = "Smash random vehicles they find on the street, the smashing will be slower and the rewards will be more limited.",
    cooldown = false,
    dangerlevel = 0,
    policenotify = true,
    policeblips = false,
    items = {
      "lockpick",
    },
    rewards = {
      money = 175,
      xp = 35,
    },
    ShreadLoc = {
      engine_hoist = {
        vec4(-559.83, -1680.04, 19.31, 202.48),
        vec4(-562.17, -1681.06, 19.31, 208.42),
        vec4(-563.97, -1682.53, 19.28, 207.71),
        vec4(-557.47, -1681.69, 19.31, 135.35)
      },
      jack = {
        vec4(-565.91, -1683.58, 19.23, 227.89),
        vec4(-567.4, -1684.81, 19.23, 230.48),
        vec4(-568.58, -1686.2, 19.27, 241.87),
        vec4(-567.58, -1688.18, 19.28, 284.76)
      },
      coords = vec4(-556.9, -1694.66, 19.21, 33.49),
      boxcoord = vec4(-554.35, -1707.29, 18.9, 130.89),
    },
    location = {
      locname = "LOS SANTOS STR.SLOBOZ",
      streetname = "Vinewood Street",
      photohint = "./img/icons/bgmap.png",
      hintcoords = vec3(190.63, -1677.34, 29.61),
      vehiclespawncoords = {
        [1] = {["vehicle_coord"] = vec4(207.37, -1688.86, 29.53, 219.47)},
        [2] = {["vehicle_coord"] = vec4(174.33, -1709.96, 29.29, 229.91)},
        [3] = {["vehicle_coord"] = vec4(246.79, -1743.99, 28.88, 48.79)},
        [4] = {["vehicle_coord"] = vec4(117.05, -1596.49, 29.58, 174.41)},
        [5] = {["vehicle_coord"] = vec4(146.27, -1693.26, 29.45, 57.54)},
        [6] = {["vehicle_coord"] = vec4(259.72, -1794.87, 27.07, 137.25)},
        [7] = {["vehicle_coord"] = vec4(243.03, -1753.87, 29.13, 138.84)},
        [8] = {["vehicle_coord"] = vec4(240.47, -1675.03, 29.29, 229.68)},
      },
      vehicles = {
        "asea",
        "dilettante",
        "stanier",
        "glendale",
      }
    }
  },
  [2] = {
    time = 45,
    level = 2,
    multiplayer = true,
    cartypes = "regular",
    name = "MISSION #2",
    possiblemoney = 15000,
    desc = "Smash random vehicles they find on the street, the smashing will be slower and the rewards will be more limited.",
    cooldown = false,
    dangerlevel = 1,
    policenotify = true,
    policeblips = true,
    items = {
      "lockpick",
      "Melee",
    },
    rewards = {
      money = 175,
      xp = 35,
    },
    ShreadLoc = {
      engine_hoist = {
        vec4(-559.83, -1680.04, 18.31, 202.48),
        vec4(-562.17, -1681.06, 18.31, 208.42),
        vec4(-563.97, -1682.53, 18.28, 207.71),
        vec4(-557.47, -1681.69, 18.31, 135.35)
      },
      jack = {
        vec4(-565.91, -1683.58, 18.23, 227.89),
        vec4(-567.4, -1684.81, 18.23, 230.48),
        vec4(-568.58, -1686.2, 18.27, 241.87),
        vec4(-567.58, -1688.18, 18.28, 284.76)
      },
      coords = vec4(-556.9, -1694.66, 19.21, 33.49),
      boxcoord = vec4(-554.35, -1707.29, 18.9, 130.89),
    },
    location = {
      locname = "LOS SANTOS STR.SLOBOZ2",
      streetname = "Vinewood Street2",
      photohint = "./img/icons/bgmap.png",
      hintcoords = vec3(-1128.01, -346.47, 49.15),
      vehiclespawncoords = {
        [1] = {["dog_coords"] = vec4(-1333.25, -228.22, 42.92, 281.8), ["vehicle_coord"] = vec4(-1329.05, -228.32, 42.9, 302.63)},
        [1] = {["dog_coords"] = vec4(-1331.43, -147.25, 47.8, 199.01), ["vehicle_coord"] = vec4(-1329.12, -155.5, 47.34, 261.71)},
        [1] = {["dog_coords"] = vec4(-1220.66, -200.59, 39.18, 42.97), ["vehicle_coord"] = vec4(-1222.56, -195.61, 39.18, 75.94)},
        [1] = {["dog_coords"] = vec4(-1417.3, -243.42, 46.38, 106.65), ["vehicle_coord"] = vec4(-1422.14, -240.68, 46.38, 218.0)},
        [1] = {["dog_coords"] = vec4(-1379.54, -324.23, 39.88, 226.78), ["vehicle_coord"] = vec4(-1375.66, -326.1, 39.55, 128.95)},
        [1] = {["dog_coords"] = vec4(-1187.89, -458.44, 33.88, 223.57), ["vehicle_coord"] = vec4(-1183.74, -460.26, 33.91, 187.93)},
        [1] = {["dog_coords"] = vec4(-1578.36, -238.38, 49.47, 173.37), ["vehicle_coord"] = vec4(-1578.68, -243.41, 49.48, 238.8)},
      },
      vehicles = {
        -- "buffalo",
        -- "baller",
        "buffalo4",
        -- "vigero2",
        -- "nightshade",
        -- "baller2",
      }
    }
  },
  [3] = {
    time = 45,
    level = 3,
    multiplayer = true,
    cartypes = "expensive",
    name = "MISSION #3",
    possiblemoney = 15000,
    desc = "Smash random vehicles they find on the street, the smashing will be slower and the rewards will be more limited.",
    cooldown = false,
    dangerlevel = 2,
    policenotify = true,
    policeblips = true,
    items = {
      "lockpick",
      "GPS Remover",
      "Weapon",
    },
    rewards = {
      money = 175,
      xp = 35,
    },
    ShreadLoc = {
      engine_hoist = {
        vec4(-559.83, -1680.04, 19.31, 202.48),
        vec4(-562.17, -1681.06, 19.31, 208.42),
        vec4(-563.97, -1682.53, 19.28, 207.71),
        vec4(-557.47, -1681.69, 19.31, 135.35)
      },
      jack = {
        vec4(-565.91, -1683.58, 19.23, 227.89),
        vec4(-567.4, -1684.81, 19.23, 230.48),
        vec4(-568.58, -1686.2, 19.27, 241.87),
        vec4(-567.58, -1688.18, 19.28, 284.76)
      },
      coords = vec4(-556.9, -1694.66, 19.21, 33.49),
      boxcoord = vec4(-554.35, -1707.29, 18.9, 130.89),
    },
    location = {
      locname = "LOS SANTOS STR.SLOBOZ3",
      streetname = "Vinewood Street3",
      photohint = "./img/icons/bgmap.png",
      hintcoords = vec3(-581.85, 635.31, 140.23),
      vehiclespawncoords = {
        [1] = {
          ["npc_weapon"] = "weapon_pistol",
          ["vehicle_coord"] = vec4(-615.79, 677.47, 149.85, 349.99),
          ["npc_coords"] = {
            vec4(-620.87, 677.39, 149.91, 327.52),
            vec4(-610.01, 675.27, 149.88, 13.04),
            vec4(-605.82, 672.82, 151.6, 357.12),
            vec4(-624.96, 682.69, 150.13, 322.51),
          },
        },
        [2] = {
          ["npc_weapon"] = "weapon_pistol",
          ["vehicle_coord"] = vec4(-695.89, 705.5, 157.3, 27.81),
          ["npc_coords"] = {
            vec4(-701.8, 710.69, 158.29, 261.55),
            vec4(-692.95, 703.88, 156.55, 3.4),
            vec4(-706.62, 719.59, 159.34, 268.35),
            vec4(-703.7, 711.85, 162.03, 261.91),
          },
        },
        [3] = {
          ["npc_weapon"] = "weapon_pistol",
          ["vehicle_coord"] = vec4(-811.49, 705.12, 147.13, 15.38),
          ["npc_coords"] = {
            vec4(-814.76, 705.2, 147.19, 293.05),
            vec4(-804.22, 705.61, 146.92, 57.81),
            vec4(-820.72, 700.15, 147.2, 295.3),
          },
        },
        [4] = {
          ["npc_weapon"] = "weapon_pistol",
          ["vehicle_coord"] = vec4(-1107.28, 795.09, 165.2, 188.19),
          ["npc_coords"] = {
            vec4(-1104.59, 795.83, 165.27, 183.96),
            vec4(-1110.66, 792.2, 164.83, 223.19),
            vec4(-1099.88, 792.89, 166.0, 203.5),
          },
        },
        [5] = {
          ["npc_weapon"] = "weapon_pistol",
          ["vehicle_coord"] = vec4(-1374.75, 452.64, 104.99, 80.23),
          ["npc_coords"] = {
            vec4(-1379.86, 447.72, 104.55, 357.4),
            vec4(-1377.27, 455.52, 104.9, 89.9),
            vec4(-1386.49, 453.49, 104.95, 7.5),
            vec4(-1375.66, 443.14, 105.68, 17.69),
          },
        },
      },
      vehicles = {
        "buffalo5",
        "dominator9",
        "turismo2",
        "coquette4",
        "tenf",
      }
    }
  },
  [4] = { --special mission don't change index
    availableHours = {
      start = 12, -- 20:00
      stop = 23   -- 23:00
    },
    time = 45,
    level = 3,
    multiplayer = true,
    cartypes = "expensive",
    name = "MISSION #3",
    possiblemoney = 15000,
    desc = "Random Vehicle Mission The NPC can give the player a random vehicle mission, the player has to search, find, drive and destroy the specified vehicle.",
    cooldown = false,
    dangerlevel = 5,
    policenotify = true,
    policeblips = true,
    items = {
      "lockpick",
      "GPS Remover",
      "Weapon",
    },
    rewards = {
      money = 175,
      xp = 35,
    },
    ShreadLoc = {
      engine_hoist = {
        vec4(136.82, -382.95, 42.26, 339.02),
        vec4(133.89, -382.09, 42.26, 336.88),
        vec4(130.54, -381.13, 42.26, 341.03)
      },
      jack = {
        vec4(125.72, -377.2, 42.28, 285.92),
        vec4(126.12, -375.03, 42.27, 273.09),
        vec4(127.31, -372.52, 42.26, 300.98)
      },
      coords = vec4(137.9, -362.88, 43.26, 266.97),
      boxcoord = vec4(140.08, -369.01, 43.26, 217.51),
    },
    location = {
      locname = "LOS SANTOS STR.SLOBOZ3",
      streetname = "Vinewood Street3",
      photohint = "./img/icons/bgmap.png",
      hintcoords = vec3(-1419.97, 155.69, 55.38),
      vehiclespawncoords = {
        [1] = {
          ["npc_weapon"] = "weapon_assaultrifle",
          ["vehicle_coord"] = vec4(-1129.24, 311.52, 66.18, 173.19),
          ["dog_coords"] = vec4(-1127.72, 302.92, 66.23, 135.83),
          ["npc_coords"] = {
            vec4(-1134.83, 297.27, 66.57, 119.38),
            vec4(-1127.68, 316.42, 66.18, 346.15),
            vec4(-1106.28, 295.58, 64.9, 181.97),
            vec4(-1103.25, 314.62, 66.99, 330.09),
          },
        },
        [2] = {
          ["npc_weapon"] = "weapon_assaultrifle",
          ["vehicle_coord"] = vec4(-1532.36, 84.04, 56.74, 321.7),
          ["dog_coords"] = vec4(-1535.56, 92.37, 56.77, 269.64),
          ["npc_coords"] = {
            vec4(-1528.59, 102.27, 56.75, 207.89),
            vec4(-1518.47, 96.77, 56.57, 151.74),
            vec4(-1521.89, 82.39, 56.59, 347.89),
            vec4(-1535.9, 85.96, 56.78, 270.62),
          },
        },
        [3] = {
          ["npc_weapon"] = "weapon_assaultrifle",
          ["vehicle_coord"] = vec4(-1591.08, -58.77, 56.48, 271.67),
          ["dog_coords"] = vec4(-1580.47, -64.53, 56.72, 335.15),
          ["npc_coords"] = {
            vec4(-1585.79, -62.25, 56.48, 283.5),
            vec4(-1598.99, -56.46, 56.94, 87.13),
            vec4(-1575.63, -52.95, 56.89, 199.76),
          },
        },
        [4] = {
          ["npc_weapon"] = "weapon_assaultrifle",
          ["vehicle_coord"] = vec4(-1555.14, 20.61, 58.66, 354.03),
          ["dog_coords"] = vec4(-1548.66, 25.06, 58.36, 64.6),
          ["npc_coords"] = {
            vec4(-1558.9, 26.47, 58.63, 294.63),
            vec4(-1558.15, 32.48, 58.41, 186.56),
            vec4(-1568.52, 26.47, 59.55, 309.3),
            vec4(-1553.84, 15.97, 62.17, 343.04),
          },
        },
      },
      vehicles = {
        "italirsx",
        "entity3",
        "zeno",
        "thrax",
      }
    }
  },
}

Config.JobCoords = {
  blip = { -- or false
    sprite = 198,
    color = 1,
    name = "Sell Vehicle Items",
    scale = 0.7,
  },
  ped = "s_m_m_cntrybar_01",
  coords = vec4(-499.27, -1731.45, 17.92, 113.34),
}

Config.SellCoords = {
  blip = { -- or false
    sprite = 198,
    color = 1,
    name = "Sell Vehicle Items",
    scale = 0.7,
  },
  ped = "s_m_m_cntrybar_01",
  coords = vec4(-512.29, -1738.15, 18.28, 319.32),
}

Config.SellItems = {
  ["carradio"] = {
    label = "Car Radio",
    itemname = "carradio",
    price = 350,
    level = 1,
    photo = "nui://ox_inventory/web/images/engine.png",
    -- photo = "./img/icons/carradio.png",
    boost = 20, --price will be effect like %20 increase or false
  },
  ["engine"] = {
    label = "Engine",
    itemname = "engine",
    price = 750,
    level = 2,
    photo = "nui://ox_inventory/web/images/engine.png",
    boost = false, --price will be effect like %20 increase or false
  },
  ["wheel"] = {
    label = "Wheel",
    itemname = "wheel",
    price = 750,
    level = 2,
    photo = "nui://ox_inventory/web/images/wheel.png",
    boost = false, --price will be effect like %20 increase or false
  },
  ["door"] = {
    label = "Door",
    itemname = "door",
    price = 750,
    level = 2,
    photo = "nui://ox_inventory/web/images/door.png",
    boost = false, --price will be effect like %20 increase or false
  },
  ["trunk"] = {
    label = "Trunk",
    itemname = "trunk",
    price = 750,
    level = 2,
    photo = "nui://ox_inventory/web/images/trunk.png",
    boost = false, --price will be effect like %20 increase or false
  },
  ["hood"] = {
    label = "Hood",
    itemname = "hood",
    price = 750,
    level = 2,
    photo = "nui://ox_inventory/web/images/hood.png",
    boost = false, --price will be effect like %20 increase or false
  },
}

Config.ShreadParts = {
    radio = {
        itemname = "carradio",
        label = "Remove The Car Radio",
        animDict = "mini@repair",
        animName = "fixing_a_player",
        duration = 3000,
        scenario = nil
    },
    exhaust = {
        itemname = "exhaust",
        label = "Remove The Exhaust",
        animDict = "amb@world_human_vehicle_mechanic@male@base",
        animName = "base",
        duration = 8000,
        scenario = nil
    },
    door1search = {
        itemname = "door",
        label = "Search Front Left Seat",
        animDict = "amb@prop_human_bum_bin@idle_b",
        animName = "idle_d",
        duration = 3000,
        scenario = nil
    },
    door2search = {
        itemname = "door",
        label = "Search Rear Left Seat",
        animDict = "amb@prop_human_bum_bin@idle_b",
        animName = "idle_d",
        duration = 3000,
        scenario = nil
    },
    door3search = {
        itemname = "door",
        label = "Search Front Right Seat",
        animDict = "amb@prop_human_bum_bin@idle_b",
        animName = "idle_d",
        duration = 3000,
        scenario = nil
    },
    door4search = {
        itemname = "door",
        label = "Search Rear Right Seat",
        animDict = "amb@prop_human_bum_bin@idle_b",
        animName = "idle_d",
        duration = 3000,
        scenario = nil
    },
    door1 = {
        itemname = "door",
        label = "Remove The Front Left Door",
        animDict = "missheistdockssetup1clipboard@base",
        animName = "base",
        duration = 3000,
        scenario = "WORLD_HUMAN_WELDING"
    },
    door2 = {
        itemname = "door",
        label = "Remove The Rear Left Door",
        animDict = "missheistdockssetup1clipboard@base",
        animName = "base",
        duration = 3000,
        scenario = "WORLD_HUMAN_WELDING"
    },
    door3 = {
        itemname = "door",
        label = "Remove The Front Right Door",
        animDict = "missheistdockssetup1clipboard@base",
        animName = "base",
        duration = 3000,
        scenario = "WORLD_HUMAN_WELDING"
    },
    door4 = {
        itemname = "door",
        label = "Remove The Rear Right Door",
        animDict = "missheistdockssetup1clipboard@base",
        animName = "base",
        duration = 3000,
        scenario = "WORLD_HUMAN_WELDING"
    },
    hood = {
        itemname = "hood",
        label = "Remove The Hood",
        animDict = "mini@repair",
        animName = "fixing_a_player",
        duration = 3500,
        scenario = nil
    },
    trunk = {
        itemname = "trunk",
        label = "Remove The Trunk",
        animDict = "mini@repair",
        animName = "fixing_a_player",
        duration = 3500,
        scenario = nil
    },
    wheel1 = {
        itemname = "wheel",
        label = "Remove The Front Left Wheel",
        animDict = "anim@amb@clubhouse@tutorial@bkr_tut_ig3@",
        animName = "machinic_loop_mechandplayer",
        duration = 4000,
        scenario = nil
    },
    wheel2 = {
        itemname = "wheel",
        label = "Remove The Front Right Wheel",
        animDict = "anim@amb@clubhouse@tutorial@bkr_tut_ig3@",
        animName = "machinic_loop_mechandplayer",
        duration = 4000,
        scenario = nil
    },
    wheel3 = {
        itemname = "wheel",
        label = "Remove The Rear Left Wheel",
        animDict = "anim@amb@clubhouse@tutorial@bkr_tut_ig3@",
        animName = "machinic_loop_mechandplayer",
        duration = 4000,
        scenario = nil
    },
    wheel4 = {
        itemname = "wheel",
        label = "Remove The Rear Right Wheel",
        animDict = "anim@amb@clubhouse@tutorial@bkr_tut_ig3@",
        animName = "machinic_loop_mechandplayer",
        duration = 4000,
        scenario = nil
    },
    engine = {
        itemname = "engine",
        label = "Remove The Engine",
        animDict = "amb@world_human_vehicle_mechanic@male@idle_a",
        animName = "idle_a",
        duration = 5000,
        scenario = nil
    },
}

Config.SeatRandomItem = {
  [1] = {
    itemname = "water_bottle",
    min = 1,
    max = 5,
  },
  [2] = {
    itemname = "cleaningkit",
    min = 1,
    max = 5,
  },
}

Config.BackEngineVehicles = {
    [`ninef`] = true,
    [`adder`] = true,
    [`vagner`] = true,
    [`t20`] = true,
    [`infernus`] = true,
    [`zentorno`] = true,
    [`reaper`] = true,
    [`comet2`] = true,
    [`jester`] = true,
    [`jester2`] = true,
    [`cheetah`] = true,
    [`cheetah2`] = true,
    [`prototipo`] = true,
    [`turismor`] = true,
    [`pfister811`] = true,
    [`ardent`] = true,
    [`nero`] = true,
    [`nero2`] = true,
    [`tempesta`] = true,
    [`vacca`] = true,
    [`bullet`] = true,
    [`osiris`] = true,
    [`entityxf`] = true,
    [`turismo2`] = true,
    [`fmj`] = true,
    [`re7b`] = true,
    [`tyrus`] = true,
    [`italigtb`] = true,
    [`penetrator`] = true,
    [`monroe`] = true,
    [`ninef2`] = true,
    [`stingergt`] = true,
    [`surfer`] = true,
    [`surfer2`] = true,
    [`comet3`] = true,
    [`italirsx`] = true,
}
```

[PreviousInstallation](/scripts/ak4y-shredding/installation.md) [NextLanguage Files](/scripts/ak4y-shredding/language-files.md)

Last updated 6 months ago


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ak4y.com/scripts/ak4y-shredding/configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
